> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a products report (Requires Enterprise plan)

> Create a "products" report (Amazon). The generated report CSV contains the columns defined in the `ProductsReportColumns` schema including pricing, inventory, COGS, fees, and category information. 

**NOTE: This endpoint is only available to users on the Enterprise plan.** Use the /reports/status/{reportId} endpoint to check report status and obtain the download URL.



## OpenAPI

````yaml /api-reference/openapi.json post /reports/create/products
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /reports/create/products:
    post:
      tags:
        - report
      summary: Create a products report (Requires Enterprise plan)
      description: >-
        Create a "products" report (Amazon). The generated report CSV contains
        the columns defined in the `ProductsReportColumns` schema including
        pricing, inventory, COGS, fees, and category information. 


        **NOTE: This endpoint is only available to users on the Enterprise
        plan.** Use the /reports/status/{reportId} endpoint to check report
        status and obtain the download URL.
      operationId: createProductsReport
      requestBody:
        description: Report criteria
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProductsReportRequest'
        required: true
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportResponse'
            text/csv:
              schema:
                $ref: '#/components/schemas/ProductsReportColumns'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    CreateProductsReportRequest:
      type: object
      properties:
        channelId:
          type: string
        merchantId:
          type: string
        reportOptions:
          $ref: '#/components/schemas/CreateProductsReportOptions'
          type: object
    CreateReportResponse:
      type: object
      properties:
        reportId:
          type: string
        reportType:
          type: string
        status:
          type: string
    ProductsReportColumns:
      type: object
      description: >-
        Columns present in the downloadable Products report CSV (Amazon). This
        endpoint requires an Enterprise plan.
      properties:
        asin:
          type: string
          description: Amazon Standard Identification Number
        sku:
          type: string
          description: Seller SKU
        title:
          type: string
          description: Product title
        brand:
          type: string
          description: Brand name
        price:
          type: number
          description: Current listing price
        shippingPrice:
          type: number
          description: Shipping price
        fulfillmentType:
          type: string
          description: Fulfillment type (e.g. FBA, FBM)
        inventoryLevel:
          type: number
          description: Current inventory level
        cogs:
          type: number
          description: Cost of goods sold per unit
        imageUrl:
          type: string
          description: Product image URL
        categoryLabel:
          type: string
          description: Product category
        parentCategoryLabel:
          type: string
          description: Parent product category
        feesEstimate:
          type: number
          description: Estimated selling fees
        vat:
          type: number
          description: VAT amount
        returnRate:
          type: number
          description: Product return rate
        parentAsin:
          type: string
          description: Parent ASIN for product variations
        currency:
          type: string
          description: Currency code (e.g. USD, GBP)
    CreateProductsReportOptions:
      type: object
      properties:
        skus:
          type: string
          description: (Optional) A comma-separated list of SKUs to filter by
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````